Bug 1548683

Summary: Filter bogus rpmlint errors/warnings
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python3Assignee: Charalampos Stratakis <cstratak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bkabrda, cstratak, dmalcolm, ishcherb, lzachar, mcyprian, mhroncok, pviktori, rkuska, tomspur, torsava
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python3-3.6.5-1.fc28 python3-3.6.5-1.fc26 python3-3.6.5-1.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-09 18:35:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Miro Hrončok 2018-02-24 11:54:36 UTC
It si now possible to filter bogus rpmlint errors and warnings on taskotron: 

https://pagure.io/taskotron/task-rpmlint/issue/5

https://fedoraproject.org/wiki/Taskotron/Tasks/dist.rpmlint#Whitelisting_errors

Let's do that for python37 and later backport it to python3.

Comment 1 Miro Hrončok 2018-03-19 21:03:32 UTC
Fixed in python37

Proposal for python3 https://src.fedoraproject.org/rpms/python3/pull-request/28

Comment 2 Fedora Update System 2018-04-05 09:30:41 UTC
python3-3.6.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7eae87ec86

Comment 3 Fedora Update System 2018-04-05 09:32:40 UTC
python3-3.6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 4 Fedora Update System 2018-04-05 09:33:47 UTC
python3-3.6.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 5 Fedora Update System 2018-04-05 15:51:06 UTC
python3-3.6.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 6 Fedora Update System 2018-04-05 15:56:32 UTC
python-pip-9.0.3-1.fc26 python3-3.6.5-1.fc26 python3-docs-3.6.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 7 Fedora Update System 2018-04-05 16:04:43 UTC
python3-3.6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 8 Fedora Update System 2018-04-05 16:13:29 UTC
python-pip-9.0.3-1.fc27 python3-3.6.5-1.fc27 python3-docs-3.6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 9 Fedora Update System 2018-04-06 11:09:18 UTC
python3-3.6.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-04-06 16:52:02 UTC
python-pip-9.0.3-1.fc26, python3-3.6.5-1.fc26, python3-docs-3.6.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 11 Fedora Update System 2018-04-06 17:16:21 UTC
python-pip-9.0.3-1.fc27, python3-3.6.5-1.fc27, python3-docs-3.6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 12 Fedora Update System 2018-04-09 18:35:01 UTC
python-pip-9.0.3-1.fc26, python3-3.6.5-1.fc26, python3-docs-3.6.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-04-09 19:08:31 UTC
python-pip-9.0.3-1.fc27, python3-3.6.5-1.fc27, python3-docs-3.6.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.